Subject: Re: GSoC 2010: "Integrated Web Client for git" proposal

From: Petr Baudis <[email-masked]>
Date: Tue, 20 Apr 2010 13:47:58 +0200

On Mon, Apr 19, 2010 at 11:40:33PM +0530, Pavan Kumar Sunkara wrote:
> 2010/4/19 Petr Baudis <[email-masked]>:
> >> >> b) Write modules of the client:
> >> >>  15. Search for a part of code [git grep]
> >> >
> >> > This is already supported by gitweb. And it's not a "write" operation.
> >> > ;-)
> >>
> >> I wrote it here because I would like to integrate it with content
> >> history browser functionality later.
> 
> If you remember, there is a gsoc idea named "Content History Browser"
> in ideas wiki page that is listed by you. It's about starting giddy
> from scratch to use pickaxe interface to see the history of a specific
> content. I would like to integrate this with that pickaxe interface.

Aha, I see. I will be curious what you come up with. :-)

> >> No, there will be a seperate page for it which executes git status command.
> >
> > And just passes through its plaintext output? Well, I suppose that could
> > do for starters.
> 
> No. It won't be just plain text. Every line will have links beside it
> to either stage or unstage or add or ignore or see diff for that file.

Ok!

> > Could you clarify your attitude to the support for mode without checked
> > out working copy, using just the index, that we are discussing with
> > Jakub and I already mentioned to you in the past?
> 
> Yes, I remember it. TO be frank, I don't know the git commands to
> implement this. So, If you can explain it to me more detailedly, Then
> I can implement it for sure.

See one of other Jakub's mails for examples of commands to be used.
If you have more specific questions, feel free to follow up.

-- 
				Petr "Pasky" Baudis
http://pasky.or.cz/ | "Ars longa, vita brevis." -- Hippocrates